=head1 NAME


XXV::MODULES::USER



=head1 SYNOPSIS

  use XXV::MODULES::USER;
  my  = XXV::MODULES::USER->new(
    -config => $Config,
    -dbh    => $DBH,
    -realbin=> $RealBin,
  );


=head1 VERSION

0.45 - 04.09.2005

=head1 DESCRIPTION

Dieses Modul verwaltet die Useradministration.
Zum Nutzen kann ein Level für das ganze Modul, mit
dem Parameter 'Level' in der Hauptmodul gesetzt werden
oder es wird der selbe Parameter für jede Funktion gesetzt.

=head1 CONFIGURATION

=over 4



=item * active

Aktiviert die Anwenderauthentifizierung

=over 4

=item default value: y

=item type: confirm

=item required: No

=back





=item * noAuth

IP Adressen ohne Benutzer-Authentifizierung

=over 4

=item default value: 

=item type: string

=item required: No

=back





=item * tempimages

Gemeinsames Verzeichnis für temporäre Bilder

=over 4

=item default value: /var/cache/xxv/temp

=item type: dir

=item required: Yes

=back





=item * withAuth

IP Adressen mit Benutzer-Authentifizierung

=over 4

=item default value: 

=item type: string

=item required: No

=back





=back

=head1 COMMANDS

=over 4



=item *  udelete (ud)

Lösche eine Anwenderzugang 'uid'



=item *  uedit (ue)

Bearbeiten eine Anwenderzugang 'uid'



=item *  ulist (ul)

Zeigt alle Anwenderzugänge 'uid'



=item *  unew (un)

Erzeugt einen neuen Anwenderzugang



=item *  uprefs (up)

Die eigenen Einstellungen verändern



=back

=head1 SEE ALSO

XXV

=head1 AUTHOR

Copyright (C) 2004, xpix. All rights reserved.

=cut
